Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.collaboration.tasklist
Class TaskListPermission

    java.lang.Object
      com.plumtree.remote.prc.collaboration.tasklist.TaskListPermission

public class TaskListPermission
extends java.lang.Object

An enumerated type used to describe the permissions for Task Lists. It is used in `ITaskList.isActionAllowed` method.

Field Summary
`static TaskListPermission` | `ASSIGN_OWNER` Permission to assign owner to a task list.
`static TaskListPermission` | `ATTACH_LINKS` Permission to attach links to a task list.
`static TaskListPermission` | `CLAIM_TASK` Permission to claim a task.
`static TaskListPermission` | `COPY` Permission to copy a task list.
`static TaskListPermission` | `CREATE` Permission to create task lists.
`static TaskListPermission` | `CREATE_TASKS` Permission to create tasks in a task list.
`static TaskListPermission` | `DELETE` Permission to delete task lists.
`static TaskListPermission` | `EDIT` Permission to edit task lists.
`static TaskListPermission` | `EDIT_SECURITY` Permission to edit task list security.
`static TaskListPermission` | `UPDATE_STATUS` Permission to update status of a task list.

Method Summary
`java.lang.Object` | `getUnderlyingObject()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ASSIGN_OWNER

    public static final TaskListPermission ASSIGN_OWNER

  Permission to assign owner to a task list.

### ATTACH_LINKS

    public static final TaskListPermission ATTACH_LINKS

  Permission to attach links to a task list.

### CLAIM_TASK

    public static final TaskListPermission CLAIM_TASK

  Permission to claim a task.

### COPY

    public static final TaskListPermission COPY

  Permission to copy a task list.

### CREATE

    public static final TaskListPermission CREATE

  Permission to create task lists.

### CREATE_TASKS

    public static final TaskListPermission CREATE_TASKS

  Permission to create tasks in a task list.

### DELETE

    public static final TaskListPermission DELETE

  Permission to delete task lists.

### EDIT

    public static final TaskListPermission EDIT

  Permission to edit task lists.

### EDIT_SECURITY

    public static final TaskListPermission EDIT_SECURITY

  Permission to edit task list security.

### UPDATE_STATUS

    public static final TaskListPermission UPDATE_STATUS

  Permission to update status of a task list.

Method Detail

### toString

    public java.lang.String toString()

### getUnderlyingObject

    public java.lang.Object getUnderlyingObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.